FWGraph Class Reference

the main class to read the graphic part of a FullWrite Text file More...

`#include <FWGraph.hxx>`

## Public Member Functions

| FWGraph (FWParser &parser)
| constructor More...
virtual | ~FWGraph ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | sendPageGraphics ()
| try to send the page graphic More...
bool | getBorder (int bId, FWStruct::Border &border) const
| try to return a border corresponding to an id More...
bool | send (int fileId)
| try to send the child of a zone More...
bool | readBorderDocInfo (FWStruct::EntryPtr zone)
| try to read the border definiton (at the end of doc info) More...
shared_ptr< FWStruct::ZoneHeader > | readSideBar (FWStruct::EntryPtr zone, FWStruct::ZoneHeader const &doc)
| try to read a sidebar data (zone 13 or zone 14) More...
bool | readSideBarPosition (FWStruct::EntryPtr zone, FWGraphInternal::SideBar &frame)
| try to read the sidebar position zone More...
bool | readSideBarFormat (FWStruct::EntryPtr zone, FWGraphInternal::SideBar &frame)
| try to read the sidebar second zone More...
bool | readSideBarUnknown (FWStruct::EntryPtr zone, FWGraphInternal::SideBar &frame)
| try to read the sidebar third zone More...
bool | sendSideBar (FWGraphInternal::SideBar const &frame)
| try to send a sidebar More...
bool | readGraphic (FWStruct::EntryPtr zone)
| check if a zone is a graphic zone More...
bool | sendGraphic (int fId)
| send a graphic knowing the graphic fileId More...
bool | sendGraphic (FWStruct::EntryPtr zone)
| send a graphic to a listener (if it exists) More...
shared_ptr< FWStruct::ZoneHeader > | readGraphicData (FWStruct::EntryPtr zone, FWStruct::ZoneHeader &doc)
| try to read the graphic data More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < FWGraphInternal::State > | m_state
| the state More...
FWParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| FWGraph (FWGraph const &orig)
FWGraph & | operator= (FWGraph const &orig)

## Friends

class | FWParser
class | FWGraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a FullWrite Text file

## Constructor & Destructor Documentation

FWGraph::FWGraph | ( | FWParser & | parser | ) |

constructor

FWGraph::~FWGraph | ( |  | ) |

virtual

destructor

FWGraph::FWGraph | ( | FWGraph const & | orig | ) |

private

## Member Function Documentation

void FWGraph::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

bool FWGraph::getBorder | ( | int | bId,
|  | FWStruct::Border & | border
| ) |  | const

protected

try to return a border corresponding to an id

Referenced by sendSideBar().

int FWGraph::numPages | ( |  | ) | const

returns the number of pages

FWGraph& FWGraph::operator= | ( | FWGraph const & | orig | ) |

private

bool FWGraph::readBorderDocInfo | ( | FWStruct::EntryPtr | zone | ) |

protected

try to read the border definiton (at the end of doc info)

bool FWGraph::readGraphic | ( | FWStruct::EntryPtr | zone | ) |

protected

check if a zone is a graphic zone

shared_ptr< FWStruct::ZoneHeader > FWGraph::readGraphicData | ( | FWStruct::EntryPtr | zone,
|  | FWStruct::ZoneHeader & | doc
| ) |  |

protected

try to read the graphic data

shared_ptr< FWStruct::ZoneHeader > FWGraph::readSideBar | ( | FWStruct::EntryPtr | zone,
|  | FWStruct::ZoneHeader const & | doc
| ) |  |

protected

try to read a sidebar data (zone 13 or zone 14)

bool FWGraph::readSideBarFormat | ( | FWStruct::EntryPtr | zone,
|  | FWGraphInternal::SideBar & | frame
| ) |  |

protected

try to read the sidebar second zone

Referenced by readSideBar().

bool FWGraph::readSideBarPosition | ( | FWStruct::EntryPtr | zone,
|  | FWGraphInternal::SideBar & | frame
| ) |  |

protected

try to read the sidebar position zone

Referenced by readSideBar().

bool FWGraph::readSideBarUnknown | ( | FWStruct::EntryPtr | zone,
|  | FWGraphInternal::SideBar & | frame
| ) |  |

protected

try to read the sidebar third zone

Referenced by readSideBar().

bool FWGraph::send | ( | int | fileId | ) |

protected

try to send the child of a zone

Referenced by FWGraphInternal::SubDocument::parse().

bool FWGraph::sendGraphic | ( | int | fId | ) |

protected

send a graphic knowing the graphic fileId

Referenced by flushExtra().

bool FWGraph::sendGraphic | ( | FWStruct::EntryPtr | zone | ) |

protected

send a graphic to a listener (if it exists)

bool FWGraph::sendPageGraphics | ( |  | ) |

protected

try to send the page graphic

bool FWGraph::sendSideBar | ( | FWGraphInternal::SideBar const & | frame | ) |

protected

try to send a sidebar

Referenced by sendPageGraphics().

int FWGraph::version | ( |  | ) | const

returns the file version

Referenced by readGraphic(), readGraphicData(), and readSideBarFormat().

## Friends And Related Function Documentation

friend class FWGraphInternal::SubDocument

friend

friend class FWParser

friend

## Member Data Documentation

FWParser* FWGraph::m_mainParser

protected

the main parser;

Referenced by readGraphicData(), send(), and sendSideBar().

MWAWParserStatePtr FWGraph::m_parserState

protected

the parser state

Referenced by sendGraphic(), sendSideBar(), and version().

shared_ptr<FWGraphInternal::State> FWGraph::m_state

protected

the state

Referenced by flushExtra(), getBorder(), numPages(), readBorderDocInfo(), readGraphic(), readSideBar(), sendGraphic(), sendPageGraphics(), and version().

The documentation for this class was generated from the following files:

- FWGraph.hxx
- FWGraph.cxx